Bug 155919 - new port: IPv4/IPv6 Webserver port, BSD license
Summary: new port: IPv4/IPv6 Webserver port, BSD license
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dennis Herrmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-24 17:20 UTC by Adrian Steinmann
Modified: 2011-04-16 09:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Steinmann 2011-03-24 17:20:00 UTC
New port tarball at http://marabu.ch/www_nostromo.tbz

Nostromo aka nhttpd is a simple, fast and secure HTTP server. It
runs as a single process, handling connections with select(2). For
CGIs and directory listing it does fork(2). The minimum of HTTP/1.1
and CGI/1.1 are implemented. Also supported are: chroot, setuid,
basic authentication, SSL, IPv6, custom responses, aliases, and
virtual hosts. The access log is written in standard CLF format.

Please add to ports (pkgsrc/wip/www and openbsd ports exist
already).

I will be the maintainer.

Thanks
Adrian
Comment 1 Martin Wilke freebsd_committer 2011-04-01 11:49:10 UTC
State Changed
From-To: open->feedback

can u please provide a shar.
Comment 2 Dennis Herrmann freebsd_committer 2011-04-15 20:25:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dhn

I'll take it.
Comment 3 dfilter service freebsd_committer 2011-04-16 09:45:42 UTC
dhn         2011-04-16 08:45:27 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/nostromo         Makefile distinfo pkg-descr pkg-plist 
    www/nostromo/files   nostromo.sh.in patch-src-libmy-Makefile 
                         patch-src-nhttpd-Makefile 
                         patch-src-tools-Makefile 
  Log:
  Nostromo aka nhttpd is a simple, fast and secure HTTP server. It
  runs as a single process, handling connections with select(2). For
  CGIs and directory listing it does fork(2). The minimum of HTTP/1.1
  and CGI/1.1 are implemented. Also supported are: chroot, setuid,
  basic authentication, SSL, IPv6, custom responses, aliases, and
  virtual hosts. The access log is written in standard CLF format.
  
  AUTHOR: Glocker Marcus <marcus@nazgul.ch>
  WWW: http://www.nazgul.ch/dev_nostromo.html
  
  PR:             ports/155919
  Submitted by:   Adrian Steinmann <ast@marabu.ch>
  
  Revision  Changes    Path
  1.2858    +1 -0      ports/www/Makefile
  1.1       +55 -0     ports/www/nostromo/Makefile (new)
  1.1       +2 -0      ports/www/nostromo/distinfo (new)
  1.1       +27 -0     ports/www/nostromo/files/nostromo.sh.in (new)
  1.1       +15 -0     ports/www/nostromo/files/patch-src-libmy-Makefile (new)
  1.1       +25 -0     ports/www/nostromo/files/patch-src-nhttpd-Makefile (new)
  1.1       +23 -0     ports/www/nostromo/files/patch-src-tools-Makefile (new)
  1.1       +9 -0      ports/www/nostromo/pkg-descr (new)
  1.1       +15 -0     ports/www/nostromo/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dennis Herrmann freebsd_committer 2011-04-16 09:45:49 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!